// Allan CORNET - 2010
// Samuel GOUGEON - 2018

if getos()~="Windows" then
    warning("scetoexe() is for Windows only");
end
if (~haveacompiler() | findmsvccompiler()=='unknown') & ~isdef("devenv") then
    warning("scetoexe: Required C compiler not detected.");
    devenv = uigetfile("*.exe","","Please select the ""devenv.exe"" compiler program");
    if devenv==[] | fileparts(devenv, "fname")~="devenv"
        warning("scetoexe: ""devenv.exe"" file expected");
        abort
    end
end
tmp =  scetoexe_getRootPath() + "\demos";
filename = tmp + "\example.sce";
demo_viewCode(tmp + "\scetoexe.dem.sce");
scinotes(filename, "readonly");

mprintf("\nscetoexe: The file ''example.exe'' will be stored in the current directory (must be writable).\n")
[output, OK?, exitCode] = scetoexe(filename, ".\", devenv, %f);
mprintf("scetoexe:\n");
if output ~=[]
    mprintf("\toutput:\n");
    mprintf("\t\t%s", output);
end
mprintf("\tOK?: %d\n", OK?*1);
if exitCode~=[] then
    mprintf("\texitCode: %d\n", exitCode);
end
if isfile("example.exe") then
    mprintf("Starting example.exe ..\n");
    dos("start example.exe"); 
end
mprintf("Done\n\n")
