// Allan CORNET - 2010
//
// Internal function called by scetoexe()
function [output, OK, exitcode] = scetoexe_buildsln(slnFile, toRelease, devenvProg)

    output = [];
    exitcode = [];
    OK = %f;
    if  ~isdef("devenvProg","l") then
        devenvProg = "devenv"
    else
        OK = isfile(devenvProg)
        if ~OK
            msg = "The devenv program ""%s"" does not exist. Please check the given path.\n"
            warning(msprintf(msg, devenvProg))
            abort
        end
    end
    if ~isfile(slnFile)
        msg = "The .sln file ""%s"" does not exist. Please check the given path.\n"
        warning(msprintf(msg, slnFile))
        abort
    end

    if getos() == "Windows" & isfile(slnFile) then
        //if haveacompiler() & (findmsvccompiler() <> 'unknown') then
        if toRelease then
            releaseMode = "Release"
        else
            releaseMode = "Debug"
        end
        if win64() then
            archMode = "x64"
        else
            archMode = "Win32"
        end

        cmdline = """"+devenvProg+""" """ + pathconvert(slnFile,%f) + ..
                  """ /Rebuild """ + releaseMode + "|" + archMode + """";
        [output, OK, exitcode] = dos(cmdline)
        //end
    end

endfunction
